Get information about whether a recipient has exceeded the hard or the soft bounce threshold
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/responses/bounces/{recipientId}/thresholdExceeded
Path Parameters
- clientIdstringrequiredDescription
- recipientIdstringrequiredDescription
Query Parameters
- mediaTypestringDescriptionAllowedEMAILFAXSMSLETTERPUSHPRINT
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestBounceCounterThresholdExceeded
- exceededbooleanDescription
- linksobject[]
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/responses/bounces/{recipientId}/thresholdExceeded \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/responses/bounces/{recipientId}/thresholdExceeded", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/responses/bounces/{recipientId}/thresholdExceeded")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/responses/bounces/{recipientId}/thresholdExceeded"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The information about whether the recipient has exceeded the hard or soft bounce threshold was retrieved.
{
"exceeded": false,
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}